From 5a3bbd7ff6d73bb9a5889e13a0450a7df565d495 Mon Sep 17 00:00:00 2001
From: Barry Warsaw <barry@debian.org>
Date: Thu, 8 Oct 2015 11:21:08 -0700
Subject: This upstream Python issue changed the semantics for

 inspect.getdoc() in the case of class heirarchies, which breaks the cliff
 test suite: <https://bugs.python.org/issue15582>.  This patch works around
 that change.
Bug: https://bugs.launchpad.net/python-cliff/+bug/1491888

Patch-Name: python35-compat.patch
---
 cliff/tests/utils.py | 1 +
 1 file changed, 1 insertion(+)

diff --git a/cliff/tests/utils.py b/cliff/tests/utils.py
index 2fde1e0..fee2b6e 100644
--- a/cliff/tests/utils.py
+++ b/cliff/tests/utils.py
@@ -12,6 +12,7 @@ class TestParser(object):
 
 
 class TestCommand(Command):
+    "" # https://bugs.python.org/issue15582
 
     def get_parser(self, ignore):
         # Make it look like this class is the parser
